build_ubuntu_gcc_debug_several_shared_libraries:
  extends: .build_template_linux
  image: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"

check_ubuntu_gcc_debug_several_shared_libraries:
  extends: .check_compilation_warning_template_docker
  image: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
  needs:
      - [build_ubuntu_gcc_debug_several_shared_libraries]
  dependencies:
      - build_ubuntu_gcc_debug_several_shared_libraries
  variables:
      OS: "ubuntu"
      COMPILER: "gcc"
      MODE: "debug"


build_fedora_clang_debug:
  extends: .build_template_linux
  image:
    name: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
    entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"


check_fedora_clang_debug:
  extends: .check_compilation_warning_template_docker
  image: 
    name: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
    entrypoint: [ '/bin/sh', '-c' ]
  needs:
      - [build_fedora_clang_debug]
  dependencies:
      - build_fedora_clang_debug
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "debug"


build_fedora_clang_release_one_static_library:
  extends: .build_template_linux
  image:
    name: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
    entrypoint: [ '/bin/sh', '-c' ]
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"

check_fedora_clang_release_one_static_library:
  extends: .check_compilation_warning_template_docker
  image:
    name: registry.gitlab.inria.fr/morefem/corelibrary/generatedockerimages/${OS}_${COMPILER}_${MODE}_shared
    entrypoint: [ '/bin/sh', '-c' ]
  needs:
      - [build_fedora_clang_release_one_static_library]
  dependencies:
      - build_fedora_clang_release_one_static_library
  variables:
      OS: "fedora"
      COMPILER: "clang"
      MODE: "release"
